Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005309 [JEDI VCL] 00 JVCL Components feature N/A 2010-08-25 14:02 2012-02-29 16:55
Reporter wilstyx View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005309: Suggestion for a new Property in JvID3V2
Description When doing batch processing to save a major amount of time
I added a property I called ProcessPictures: Boolean;
When Set to True everything works normal.
Set to false and no picture processing takes place !

I set the Default property to true to maintain backward
compatability. Any thoughts ?


Additional Information TJvID3v2 = class(TJvID3Controller)
  private
    FID3Text: TJvID3Text; ....
    ....
    FProcessPictures: Boolean; // added by DW 08/25/2010

published
published
    { Do not store dummies }
    property Texts: TJvID3Text read FID3Text; ...
     ....
    property ProcessPictures: Boolean read FProcessPictures
                                      write FProcessPictures stored True;
                                      // added by DW 08/25/2010


procedure TJvID3v2.ActiveChanged(Sender: TObject; Activated: Boolean);
begin
if NOT FProcessPictures then Exit; // added by DW 08/25/2010
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017623)
wilstyx (reporter)
2010-08-25 14:38

Well not as awake as I should be disregard the store True of course
and add in the constructor TJvID3v2.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  .......
  FProcessPictures := TRUE; // added by DW 08/25/2010
of course ! ( Picture guy slapping him self in the forehead ! )
(0017822)
obones (administrator)
2010-10-08 16:25

So what do I do here?
(0018218)
AHUser (developer)
2010-11-28 16:19

Added with svn revision 12937.

- Issue History
Date Modified Username Field Change
2010-08-25 14:02 wilstyx New Issue
2010-08-25 14:38 wilstyx Note Added: 0017623
2010-10-08 16:25 obones Note Added: 0017822
2010-10-08 16:25 obones Status new => feedback
2010-11-28 16:19 AHUser Note Added: 0018218
2010-11-28 16:19 AHUser Status feedback => resolved
2010-11-28 16:19 AHUser Fixed in Version => Daily / SVN
2010-11-28 16:19 AHUser Resolution open => fixed
2010-11-28 16:19 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker